Index: /trunk/SophyaExt/FitsIOServer/fitsioserver.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsioserver.h	(revision 662)
+++ /trunk/SophyaExt/FitsIOServer/fitsioserver.h	(revision 663)
@@ -2,5 +2,5 @@
 #define FITSIOSERVER_SEEN
 
-#include "fitsio.h" 
+#include "machdefs.h" 
 #include "tvector.h"
 #include "sphericalmap.h"
@@ -11,4 +11,6 @@
 #include "cimage.h"
 #include "dvlist.h"
+
+#include <fitsio.h>   /* entre <> pour que mkmflib fonctionne correctement  */
 
 #define LEN_KEYWORD 9
Index: /trunk/SophyaLib/Mgr/Makefile
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile	(revision 662)
+++ /trunk/SophyaLib/Mgr/Makefile	(revision 663)
@@ -1,5 +1,5 @@
 include Mgr/Makefile.h
-LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libFitsIOServer.a
-LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lFitsIOServer -lm
+LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a
+LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lSkyT -lFitsIOServer -lm
 LIBG = -L$(GLB) -lstdc++
 ifeq ($(HOSTTYPE), powerpc)
@@ -16,25 +16,29 @@
 # pour instantiation automatique/manuels
 
-cxxlibs: Blitz SysTools NTools Samba FitsIOServer
-
+cxxlibs: FitsIOServer SkyT Samba NTools SysTools Blitz
+
+.PHONY:  FitsIOServer
+FitsIOServer:
+	if [ -d FitsIOServer ] ; then cd  FitsIOServer ; $(MAKE) ; fi
+ 
+.PHONY:  SkyT
+SkyT:
+	if [ -d SkyT ] ; then cd  SkyT ; $(MAKE) ; fi
+ 
+.PHONY:  Samba
+Samba:
+	if [ -d Samba ] ; then cd  Samba ; $(MAKE) ; fi
+ 
+.PHONY:  NTools
+NTools:
+	if [ -d NTools ] ; then cd  NTools ; $(MAKE) ; fi
+ 
+.PHONY:  SysTools
+SysTools:
+	if [ -d SysTools ] ; then cd  SysTools ; $(MAKE) ; fi
+ 
 .PHONY:  Blitz
 Blitz:
 	if [ -d Blitz ] ; then cd  Blitz ; $(MAKE) ; fi
- 
-.PHONY:  SysTools
-SysTools:
-	if [ -d SysTools ] ; then cd  SysTools ; $(MAKE) ; fi
- 
-.PHONY:  NTools
-NTools:
-	if [ -d NTools ] ; then cd  NTools ; $(MAKE) ; fi
- 
-.PHONY:  Samba
-Samba:
-	if [ -d Samba ] ; then cd  Samba ; $(MAKE) ; fi
- 
-.PHONY:  FitsIOServer
-FitsIOServer:
-	if [ -d FitsIOServer ] ; then cd  FitsIOServer ; $(MAKE) ; fi
  
 .PHONY: PI
@@ -45,5 +49,9 @@
 ifndef NOSHLIB
 
-PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a 
+ifdef CFITSIODIR
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a 
+else
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a
+endif
 slb : $(SLB)libtools.so
 slbpi: slb $(SLB)libPI.so
@@ -106,6 +114,6 @@
     override USECXX4SO := N
   endif
-#  Attention - Dangereux de mettre -expect_unresolved , $CHECK$  Reza 20/10/99
-  override CMDSHLCXX := $(LINK.cc) -shared -expect_unresolved '*' 
+#  Attention - Dangereux de mettre -expect_unresolved , enleve  Reza 17/11/99
+  override CMDSHLCXX := $(LINK.cc) -shared  
   override FGSHLACXX := 
   override FGSHLNCXX := 
@@ -158,11 +166,18 @@
 
 # Liste des .o associes a une librairie
-OBJSysTools = $(shell echo `cat ./SysTools/SysTools.o.list`)
-OBJNTools = $(shell echo `cat ./NTools/NTools.o.list`)
-OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
-OBJSamba = $(shell echo `cat ./Samba/Samba.o.list`)
-OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/FitsIOServer.o.list`)
-OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
-OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
+OBJSysTools = $(shell echo `cat ./SysTools/objlist.list`)
+OBJNTools = $(shell echo `cat ./NTools/objlist.list`)
+# OBJBlitz = $(shell echo `cat ./Blitz/objlist.list`)
+OBJSamba = $(shell echo `cat ./Samba/objlist.list`)
+OBJSkyT = $(shell echo `cat ./SkyT/objlist.list`)
+OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/objlist.list`)
+OBJPI         = $(shell echo `cat ./PI/objlist.list`)
+OBJPIext      = $(shell echo `cat ./PIext/objlist.list`)
+
+ifdef CFITSIODIR
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) $(OBJFitsIOServer)
+else
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) 
+endif
 
 # Creation des librairies partagees
@@ -174,6 +189,6 @@
 	cd $(OBJ); \
 	$(CMDSHLCXX) -o $(SLB)libtools.so \
-	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJFitsIOServer) $(OBJBlitz) $(TILSHL) \
-	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)   $(FITSIOLIB) 
+	$(FGSHLACXX) $(AllObjs)  $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)  $(FITSIOLIB) 
 
 
Index: /trunk/SophyaLib/Mgr/Makefile.slb
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile.slb	(revision 662)
+++ /trunk/SophyaLib/Mgr/Makefile.slb	(revision 663)
@@ -2,5 +2,9 @@
 ifndef NOSHLIB
 
-PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a 
+ifdef CFITSIODIR
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a $(LIB)libFitsIOServer.a 
+else
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libSkyT.a
+endif
 slb : $(SLB)libtools.so
 slbpi: slb $(SLB)libPI.so
@@ -117,9 +121,16 @@
 OBJSysTools = $(shell echo `cat ./SysTools/SysTools.o.list`)
 OBJNTools = $(shell echo `cat ./NTools/NTools.o.list`)
-OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
+# OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
 OBJSamba = $(shell echo `cat ./Samba/Samba.o.list`)
+OBJSkyT = $(shell echo `cat ./SkyT/SkyT.o.list`)
 OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/FitsIOServer.o.list`)
 OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
 OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
+
+ifdef CFITSIODIR
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) $(OBJFitsIOServer)
+else
+AllObjs := $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJSkyT) 
+endif
 
 # Creation des librairies partagees
@@ -131,6 +142,6 @@
 	cd $(OBJ); \
 	$(CMDSHLCXX) -o $(SLB)libtools.so \
-	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJFitsIOServer) $(OBJBlitz) $(TILSHL) \
-	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)   $(FITSIOLIB) 
+	$(FGSHLACXX) $(AllObjs)  $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)  $(FITSIOLIB) 
 
 
Index: /trunk/SophyaLib/Mgr/crerep_peida
===================================================================
--- /trunk/SophyaLib/Mgr/crerep_peida	(revision 662)
+++ /trunk/SophyaLib/Mgr/crerep_peida	(revision 663)
@@ -36,5 +36,5 @@
 
 foreach d ( ${dirl}/${diru} \
-            ${dirl}/Include ${dirl}/Include/tnt \
+            ${dirl}/Include \
             ${dirl}/${diru}/Exec \
             ${dirl}/${diru}/Libs ${dirl}/${diru}/ShLibs \
Index: /trunk/SophyaLib/Mgr/install_peida
===================================================================
--- /trunk/SophyaLib/Mgr/install_peida	(revision 662)
+++ /trunk/SophyaLib/Mgr/install_peida	(revision 663)
@@ -1,4 +1,4 @@
 #!/bin/csh
-#  Script d'installation PEIDA 
+#  Script d'installation SOPHYA 
 #  Version preliminaire - Reza 27/11/97 +cmv
 
@@ -64,5 +64,5 @@
   set SRC = $srcdir/$macomp
   set DST = $dstdir/$macomp
-  echo "************** PEIDA_Install script : ****************** "
+  echo "************** SOPHYA_Install script : ****************** "
   echo "copie de $srcdir"
   echo "      vers $dstdir pour $macomp"
@@ -77,6 +77,6 @@
 # d'abord les includes
 #foreach d ( Include Include/tnt Include/CInc Include/SystCxx Include/Syst )
-foreach d ( Include Include/tnt Include/CInc Include/Syst )
-  echo "PEIDA_Install: Installing $d ... "
+foreach d ( Include  )
+  echo "SOPHYA_Install: Installing $d ... "
   if( ! -e $srcdir/$d ) then
     echo "rep. inexistant: $SRC/$d"
@@ -92,5 +92,5 @@
 # puis le reste
 foreach d ( Libs ShLibs Exec )
-  echo "PEIDA_Install: Installing $d ... "
+  echo "SOPHYA_Install: Installing $d ... "
   if( ! -e $SRC/$d ) then
     echo "rep. inexistant: $SRC/$d"
@@ -99,5 +99,5 @@
   else
     if( "$d" == "Exec" ) then
-      foreach f ( tobjio tspm tspm2 piapp )
+      foreach f ( tobjio tspm tspm2 piapp tgsky tgrsr skymixer )
         if( -e $SRC/$d/$f ) then
           $DO cp $SRC/$d/$f $DST/$d/.
@@ -113,5 +113,5 @@
 end
 
-echo 'PEIDA_Install complete'
+echo 'SOPHYA_Install complete'
 
 exit 0
Index: /trunk/SophyaLib/Mgr/libdirs
===================================================================
--- /trunk/SophyaLib/Mgr/libdirs	(revision 662)
+++ /trunk/SophyaLib/Mgr/libdirs	(revision 663)
@@ -2,3 +2,4 @@
 NTools
 Samba
+SkyT
 FitsIOServer
Index: /trunk/SophyaLib/Mgr/mkmf
===================================================================
--- /trunk/SophyaLib/Mgr/mkmf	(revision 662)
+++ /trunk/SophyaLib/Mgr/mkmf	(revision 663)
@@ -1,4 +1,4 @@
 #!/bin/csh 
-# $Id: mkmf,v 1.5 1999-11-09 11:13:13 ansari Exp $
+# $Id: mkmf,v 1.6 1999-11-29 12:48:11 ansari Exp $
 
 # Librairie cfitsio
@@ -38,5 +38,5 @@
 # pour instantiation automatique/manuels
 
-cxxlibs: Blitz SysTools NTools Samba FitsIOServer
+cxxlibs: FitsIOServer SkyT Samba NTools SysTools Blitz
 
 EOF
@@ -44,5 +44,5 @@
 
 #  Attention, ne pas changer l'ordre de libnames dependances cxx
-set libnames = (Blitz SysTools NTools Samba FitsIOServer)
+set libnames = (FitsIOServer SkyT Samba NTools SysTools Blitz )
 set i = 1
 set j = $#libnames ; @ j--
@@ -71,5 +71,5 @@
 endif
 if ( -d ../PIext ) then 
-  set cmd = './mkmfPI PIext SysTools NTools PI'
+  set cmd = './mkmfPI PIext SysTools NTools Samba SkyT PI'
   echo "mkmf: Creation makefile lib PIext"
   echo "   execution $cmd"
Index: /trunk/SophyaLib/NTools/Makefile
===================================================================
--- /trunk/SophyaLib/NTools/Makefile	(revision 662)
+++ /trunk/SophyaLib/NTools/Makefile	(revision 663)
@@ -3,10 +3,10 @@
 all: $(LIB)libNTools.a
 clean:
-	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)median.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)strutil.o
-	rm $(LIB)libNTools.a
-$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o  $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftpackc.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)strutil.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o
+	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)median.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)strutil.o
+	rm -f $(LIB)libNTools.a
+$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftpackc.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)strutil.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lNTools -lSamba -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lNTools -lSysTools -o $(OBJ)xx.x -Hf
 endif 
  
@@ -19,22 +19,19 @@
  $(INC)objfio.h \
  $(INC)anydataobj.h fct1dfit.h generalfit.h \
- matrix.h peida.h utils.h fmath.h cvector.h generaldata.h ntupintf.h \
- poly.h histos.h nbconst.h
+ tvector.h tmatrix.h $(INC)ndatablock.h \
+ generaldata.h ntupintf.h poly.h peida.h utils.h fmath.h histos.h \
+ nbconst.h
 $(OBJ)cspline.o: cspline.cc $(INC)machdefs.h \
  $(INC)pclassids.h nbtri.h cspline.h \
- cvector.h matrix.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h
+ $(INC)pexceptions.h
 $(OBJ)cvector.o: cvector.cc $(INC)machdefs.h \
  $(INC)pclassids.h cvector.h matrix.h \
  peida.h utils.h $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h generalfit.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h \
- tvector.h tmatrix.h $(INC)ndatablock.h
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h generalfit.h tvector.h \
+ tmatrix.h $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h
 $(OBJ)datacards.o: datacards.cc $(INC)machdefs.h \
  $(INC)pclassids.h datacards.h peida.h \
@@ -50,8 +47,9 @@
 $(OBJ)difeq.o: difeq.cc difeq.h $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h cvector.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h \
  $(INC)ctimer.h
 $(OBJ)dvlist.o: dvlist.cc $(INC)machdefs.h \
@@ -69,56 +67,63 @@
  $(INC)pexceptions.h \
  $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h cvector.h matrix.h \
- nbrandom.h cimage.h rzimage.h rzvect.h datatypes.h dvlist.h dynccd.h
+ $(INC)perrors.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h nbrandom.h cimage.h \
+ rzimage.h rzvect.h datatypes.h dvlist.h dynccd.h
 $(OBJ)fct1dfit.o: fct1dfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h fct1dfit.h generalfit.h \
- $(INC)pexceptions.h matrix.h peida.h \
- utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h \
- nbconst.h tabmath.h
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h peida.h \
+ utils.h $(INC)perrors.h fmath.h nbconst.h \
+ tabmath.h
 $(OBJ)fct2dfit.o: fct2dfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h fct2dfit.h generalfit.h \
- $(INC)pexceptions.h matrix.h peida.h \
- utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h \
- nbconst.h tabmath.h simps2d.h
-$(OBJ)fftserver.o: fftserver.cc fftserver.h cvector.h matrix.h peida.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h peida.h \
+ utils.h $(INC)perrors.h fmath.h nbconst.h \
+ tabmath.h simps2d.h
+$(OBJ)fftserver.o: fftserver.cc fftserver.h tvector.h tmatrix.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h
 $(OBJ)generaldata.o: generaldata.cc \
  $(INC)machdefs.h \
  $(INC)pclassids.h strutil.h nbtri.h \
- generalfit.h $(INC)pexceptions.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h
+ generalfit.h $(INC)pexceptions.h tvector.h \
+ tmatrix.h $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h peida.h \
+ utils.h $(INC)perrors.h fmath.h
 $(OBJ)generalfit.o: generalfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h generalfit.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h
+ $(INC)pexceptions.h generalfit.h tvector.h \
+ tmatrix.h $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h peida.h \
+ utils.h $(INC)perrors.h fmath.h
 $(OBJ)hisprof.o: hisprof.cc $(INC)machdefs.h \
  $(INC)pclassids.h hisprof.h peida.h utils.h \
  $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h cvector.h \
- matrix.h $(INC)ppersist.h \
- $(INC)md5.h histos.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h
+ $(INC)pexceptions.h fmath.h tvector.h \
+ tmatrix.h $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h histos.h \
+ $(INC)objfio.h
 $(OBJ)histos.o: histos.cc $(INC)machdefs.h \
  $(INC)pclassids.h histos.h \
@@ -128,6 +133,7 @@
  $(INC)pexceptions.h \
  $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h fmath.h cvector.h matrix.h \
- poly.h strutil.h generalfit.h generaldata.h ntupintf.h
+ $(INC)perrors.h fmath.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h poly.h strutil.h \
+ generalfit.h generaldata.h ntupintf.h
 $(OBJ)histos2.o: histos2.cc $(INC)machdefs.h \
  $(INC)pclassids.h histos2.h peida.h utils.h \
@@ -137,5 +143,6 @@
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
- $(INC)md5.h cvector.h matrix.h generalfit.h \
+ $(INC)md5.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h generalfit.h \
  generaldata.h ntupintf.h poly.h
 $(OBJ)imageop.o: imageop.cc $(INC)machdefs.h \
@@ -146,30 +153,34 @@
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
- $(INC)md5.h cvector.h matrix.h datatypes.h \
- imageop.h cimage.h rzimage.h rzvect.h dvlist.h cspline.h dynccd.h \
- nbtri.h
+ $(INC)md5.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h datatypes.h imageop.h \
+ cimage.h rzimage.h rzvect.h dvlist.h cspline.h dynccd.h nbtri.h
 $(OBJ)integ.o: integ.cc integ.h $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h generalfit.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generaldata.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h
+ $(INC)pexceptions.h generalfit.h tvector.h \
+ tmatrix.h $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h generaldata.h \
+ $(INC)objfio.h ntupintf.h poly.h peida.h \
+ utils.h $(INC)perrors.h fmath.h
 $(OBJ)linfit.o: linfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h peida.h utils.h \
  $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h linfit.h \
- matrix.h $(INC)ppersist.h \
- $(INC)md5.h cvector.h
+ tvector.h tmatrix.h $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h
 $(OBJ)matrix.o: matrix.cc $(INC)machdefs.h \
  $(INC)pclassids.h peida.h utils.h \
  $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h matrix.h \
+ $(INC)anydataobj.h \
  $(INC)ppersist.h \
  $(INC)md5.h cvector.h generalfit.h \
- generaldata.h $(INC)objfio.h \
- $(INC)anydataobj.h ntupintf.h poly.h \
- tmatrix.h $(INC)ndatablock.h
+ tvector.h tmatrix.h $(INC)ndatablock.h \
+ generaldata.h $(INC)objfio.h ntupintf.h \
+ poly.h
 $(OBJ)median.o: median.cc
 $(OBJ)ntupintf.o: ntupintf.cc ntupintf.h \
@@ -191,10 +202,10 @@
  $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h poly.h dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h histos.h histos2.h \
- hisprof.h ntuple.h ntupintf.h generaldata.h tmatrix.h \
- $(INC)ndatablock.h tvector.h cimage.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h poly.h \
+ $(INC)objfio.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h dvlist.h histos.h \
+ histos2.h hisprof.h ntuple.h ntupintf.h generaldata.h cimage.h \
  rzimage.h rzvect.h datatypes.h tabmath.h nbconst.h dates.h datime.h
 $(OBJ)perandom.o: perandom.cc $(INC)machdefs.h \
@@ -205,22 +216,22 @@
  $(INC)ppersist.h \
  $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h fmath.h cvector.h matrix.h \
- nbrandom.h pemath.h
+ $(INC)perrors.h fmath.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h nbrandom.h pemath.h
 $(OBJ)poly.o: poly.cc $(INC)machdefs.h \
- $(INC)pclassids.h poly.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h cvector.h \
- matrix.h $(INC)ppersist.h \
- $(INC)md5.h linfit.h
-$(OBJ)pversion.o: pversion.cc pversion.h \
- $(INC)peidainit.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h
+ $(INC)pclassids.h poly.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h peida.h utils.h \
+ $(INC)perrors.h fmath.h tvector.h tmatrix.h \
+ $(INC)ndatablock.h linfit.h
 $(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)machdefs.h \
  $(INC)pclassids.h rk4cdifeq.h difeq.h \
- $(INC)pexceptions.h cvector.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h \
  $(INC)ctimer.h
 $(OBJ)rzimage.o: rzimage.cc $(INC)machdefs.h \
@@ -231,6 +242,7 @@
  $(INC)md5.h dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h generalfit.h matrix.h \
- peida.h utils.h fmath.h cvector.h generaldata.h ntupintf.h poly.h
+ $(INC)anydataobj.h generalfit.h tvector.h \
+ tmatrix.h $(INC)ndatablock.h generaldata.h \
+ ntupintf.h poly.h peida.h utils.h fmath.h
 $(OBJ)simplesort.o: simplesort.cc $(INC)machdefs.h \
  $(INC)pclassids.h simplesort.h peida.h \
@@ -248,7 +260,7 @@
  $(INC)anydataobj.h \
  $(INC)ndatablock.h \
- $(INC)objfio.h matrix.h peida.h utils.h \
- $(INC)perrors.h fmath.h generalfit.h \
- cvector.h generaldata.h ntupintf.h poly.h tvector.h
+ $(INC)objfio.h generalfit.h tvector.h \
+ generaldata.h ntupintf.h poly.h peida.h utils.h \
+ $(INC)perrors.h fmath.h
 $(OBJ)tvector.o: tvector.cc $(INC)machdefs.h \
  $(INC)pclassids.h \
@@ -258,7 +270,7 @@
  $(INC)anydataobj.h \
  $(INC)ndatablock.h \
- $(INC)objfio.h generalfit.h matrix.h \
- peida.h utils.h $(INC)perrors.h fmath.h \
- cvector.h generaldata.h ntupintf.h poly.h
+ $(INC)objfio.h generalfit.h generaldata.h \
+ ntupintf.h poly.h peida.h utils.h \
+ $(INC)perrors.h fmath.h
 $(OBJ)utils.o: utils.cc $(INC)machdefs.h \
  $(INC)pclassids.h utils.h \
Index: /trunk/SophyaLib/NTools/fftpackc.c
===================================================================
--- /trunk/SophyaLib/NTools/fftpackc.c	(revision 662)
+++ /trunk/SophyaLib/NTools/fftpackc.c	(revision 663)
@@ -8,4 +8,5 @@
 /* #include "f2c.h" -- Remplace par ce qui suit */
 #include "fftpackc.h"
+#include <math.h>
 
 /*  ------ File cfftb.f ------ */
@@ -26,5 +27,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cfftb1_(n, &c__[1], &wsave[1], &wsave[iw1], &wsave[iw2]);
+    cfftb1_(n, &c__[1], &wsave[1], &wsave[iw1], (int *)&wsave[iw2]);  /* (int *) ajoute - Reza 29/11/99 */
     return 0;
 } /* cfftb_ */
@@ -179,5 +180,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cfftf1_(n, &c__[1], &wsave[1], &wsave[iw1], &wsave[iw2]);
+    cfftf1_(n, &c__[1], &wsave[1], &wsave[iw1], (int *)&wsave[iw2]);   /* (int *) ajoute - Reza 29/11/99 */
     return 0;
 } /* cfftf_ */
@@ -330,5 +331,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cffti1_(n, &wsave[iw1], &wsave[iw2]);
+    cffti1_(n, &wsave[iw1], (int *)&wsave[iw2]);  /*  (int *) ajoute Reza 29/11/99 */
     return 0;
 } /* cffti_ */
@@ -344,6 +345,6 @@
     integer i__1, i__2, i__3;
 
-    /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+    /* Builtin functions */ 
+/*    double cos(doublereal), sin(doublereal);   commente, remplace par math.h - Reza  29/11/99 */
 
     /* Local variables */
@@ -645,5 +646,5 @@
 
     /* Builtin functions */
-    double cos(doublereal);
+/*    double cos(doublereal);    commente - Remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -762,5 +763,5 @@
 
     /* Builtin functions */
-    double sin(doublereal), cos(doublereal);
+/*    double sin(doublereal), cos(doublereal);  commente - Remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -807,5 +808,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);  commente - Remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -2728,5 +2729,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);  commente - Remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -3460,5 +3461,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);    */
 
     /* Local variables */
@@ -3807,5 +3808,5 @@
 	return 0;
     }
-    rfftb1_(n, &r__[1], &wsave[1], &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    rfftb1_(n, &r__[1], &wsave[1], &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]);   /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* rfftb_ */
@@ -3953,5 +3954,5 @@
 	return 0;
     }
-    rfftf1_(n, &r__[1], &wsave[1], &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    rfftf1_(n, &r__[1], &wsave[1], &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* rfftf_ */
@@ -4092,5 +4093,5 @@
 	return 0;
     }
-    rffti1_(n, &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    rffti1_(n, &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* rffti_ */
@@ -4107,5 +4108,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*   double cos(doublereal), sin(doublereal);  Remplace par math.h , Reza 29/11/99 */
 
     /* Local variables */
@@ -4319,5 +4320,5 @@
     iw2 = iw1 + np1;
     iw3 = iw2 + np1;
-    sint1_(n, &x[1], &wsave[1], &wsave[iw1], &wsave[iw2], &wsave[iw3]);
+    sint1_(n, &x[1], &wsave[1], &wsave[iw1], &wsave[iw2], (int *)&wsave[iw3]);  /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* sint_ */
@@ -4420,5 +4421,5 @@
 
     /* Builtin functions */
-    double sin(doublereal);
+/*    double sin(doublereal);  remplace par math.h , Reza 29/11/99 */
 
     /* Local variables */
@@ -4465,5 +4466,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cdfftb1_(n, &c__[1], &wsave[1], &wsave[iw1], &wsave[iw2]);
+    cdfftb1_(n, &c__[1], &wsave[1], &wsave[iw1], (int *)&wsave[iw2]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* cdfftb_ */
@@ -4618,5 +4619,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cdfftf1_(n, &c__[1], &wsave[1], &wsave[iw1], &wsave[iw2]);
+    cdfftf1_(n, &c__[1], &wsave[1], &wsave[iw1], (int *)&wsave[iw2]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* cdfftf_ */
@@ -4769,5 +4770,5 @@
     iw1 = *n + *n + 1;
     iw2 = iw1 + *n + *n;
-    cdffti1_(n, &wsave[iw1], &wsave[iw2]);
+    cdffti1_(n, &wsave[iw1], (int *)&wsave[iw2]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* cdffti_ */
@@ -4784,5 +4785,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);  remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -5084,5 +5085,5 @@
 
     /* Builtin functions */
-    double cos(doublereal);
+/*    double cos(doublereal); remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -5201,5 +5202,5 @@
 
     /* Builtin functions */
-    double sin(doublereal), cos(doublereal);
+/*    double sin(doublereal), cos(doublereal);  remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -5246,5 +5247,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);  remplace par math.h  Reza 29/11/99  */
 
     /* Local variables */
@@ -7167,5 +7168,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);  remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -7899,5 +7900,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal);   */
 
     /* Local variables */
@@ -8246,5 +8247,5 @@
 	return 0;
     }
-    dfftb1_(n, &r__[1], &wsave[1], &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    dfftb1_(n, &r__[1], &wsave[1], &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* dfftb_ */
@@ -8392,5 +8393,5 @@
 	return 0;
     }
-    dfftf1_(n, &r__[1], &wsave[1], &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    dfftf1_(n, &r__[1], &wsave[1], &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]);/* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* dfftf_ */
@@ -8531,5 +8532,5 @@
 	return 0;
     }
-    dffti1_(n, &wsave[*n + 1], &wsave[(*n << 1) + 1]);
+    dffti1_(n, &wsave[*n + 1], (int *)&wsave[(*n << 1) + 1]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* dffti_ */
@@ -8546,5 +8547,5 @@
 
     /* Builtin functions */
-    double cos(doublereal), sin(doublereal);
+/*    double cos(doublereal), sin(doublereal); remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
@@ -8758,5 +8759,5 @@
     iw2 = iw1 + np1;
     iw3 = iw2 + np1;
-    dsint1_(n, &x[1], &wsave[1], &wsave[iw1], &wsave[iw2], &wsave[iw3]);
+    dsint1_(n, &x[1], &wsave[1], &wsave[iw1], &wsave[iw2], (int *) &wsave[iw3]); /* (int *) rajoute Reza 29/11/99 */
     return 0;
 } /* dsint_ */
@@ -8859,5 +8860,5 @@
 
     /* Builtin functions */
-    double sin(doublereal);
+/*    double sin(doublereal);  remplace par math.h  Reza 29/11/99 */
 
     /* Local variables */
Index: /trunk/SophyaLib/NTools/objlist.list
===================================================================
--- /trunk/SophyaLib/NTools/objlist.list	(revision 663)
+++ /trunk/SophyaLib/NTools/objlist.list	(revision 663)
@@ -0,0 +1,41 @@
+cimage.o
+cspline.o
+cvector.o
+datacards.o
+datatypes.o
+dates.o
+datime.o
+difeq.o
+dvlist.o
+dynccd.o
+fct1dfit.o
+fct2dfit.o
+fftpackc.o
+fftserver.o
+generaldata.o
+generalfit.o
+hisprof.o
+histos.o
+histos2.o
+imageop.o
+integ.o
+linfit.o
+matrix.o
+matxop.o
+median.o
+nbmath.o
+nbrandom.o
+nbtri.o
+ntupintf.o
+ntuple.o
+outilsinit.o
+perandom.o
+poly.o
+rk4cdifeq.o
+rzimage.o
+simplesort.o
+strutil.o
+tabmath.o
+tmatrix.o
+tvector.o
+utils.o
Index: /trunk/SophyaLib/NTools/tmatrix.h
===================================================================
--- /trunk/SophyaLib/NTools/tmatrix.h	(revision 662)
+++ /trunk/SophyaLib/NTools/tmatrix.h	(revision 663)
@@ -71,5 +71,5 @@
   inline TMatrix<T>& operator = (T x)
     {if(mNr!=mNc || mNr==0) throw(SzMismatchError("TMatrix::operator= mNc!=mNr ou ==0\n"));
-     for(uint_4 r=0;r<mNr;r++) for(uint_4 c=0;c<mNc;c++) (*this)(r,c)=(r==c)?x:0;
+     for(uint_4 r=0;r<mNr;r++) for(uint_4 c=0;c<mNc;c++) (*this)(r,c)=(r==c)?x:(T)0;
      return *this;}
   // A = B : partage les donnees si "a" est temporaire, clone sinon.
Index: /trunk/SophyaLib/Samba/Makefile
===================================================================
--- /trunk/SophyaLib/Samba/Makefile	(revision 662)
+++ /trunk/SophyaLib/Samba/Makefile	(revision 663)
@@ -8,5 +8,5 @@
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSamba -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSamba -lNTools -lSysTools -o $(OBJ)xx.x -Hf
 endif 
  
@@ -26,5 +26,6 @@
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h sphericalmap.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h sphericalmap.h \
  $(INC)nbmath.h \
  $(INC)tvector.h \
@@ -42,14 +43,26 @@
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
- $(INC)ndatablock.h unitvector.h vector3d.h \
- longlat.h utilgeom.h $(INC)timing.h
+ $(INC)ndatablock.h \
+ $(INC)timing.h
 $(OBJ)sambainit.o: sambainit.cc sambainit.h \
  $(INC)outilsinit.h \
  $(INC)peidainit.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h
+ $(INC)pclassids.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h spherethetaphi.h \
+ sphericalmap.h $(INC)nbmath.h pixelmap.h \
+ $(INC)dvlist.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h spheregorski.h
 $(OBJ)scan.o: scan.cc $(INC)machdefs.h \
  $(INC)pclassids.h scan.h \
@@ -60,20 +73,22 @@
  $(INC)objfio.h \
  $(INC)anydataobj.h \
+ $(INC)ndatablock.h \
+ $(INC)piocmplx.h \
  $(INC)nbmath.h
-$(OBJ)spheregorski.o: spheregorski.cc spheregorski.h sphericalmap.h \
- $(INC)nbmath.h \
+$(OBJ)spheregorski.o: spheregorski.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h pixelmap.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h spheregorski.h \
+ sphericalmap.h $(INC)nbmath.h pixelmap.h \
  $(INC)ppersist.h \
- $(INC)pexceptions.h \
  $(INC)md5.h \
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
  $(INC)ndatablock.h \
- $(INC)strutil.h \
- $(INC)piocmplx.h
+ $(INC)strutil.h
 $(OBJ)spherepos.o: spherepos.cc spherepos.h \
  $(INC)machdefs.h \
@@ -92,5 +107,6 @@
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
Index: /trunk/SophyaLib/Samba/objlist.list
===================================================================
--- /trunk/SophyaLib/Samba/objlist.list	(revision 663)
+++ /trunk/SophyaLib/Samba/objlist.list	(revision 663)
@@ -0,0 +1,14 @@
+bruit.o
+circle.o
+gorfph.o
+localmap.o
+longlat.o
+mlobe.o
+sambainit.o
+scan.o
+spheregorski.o
+spherepos.o
+spherethetaphi.o
+unitvector.o
+utilgeom.o
+vector3d.o
Index: /trunk/SophyaLib/SkyT/Makefile
===================================================================
--- /trunk/SophyaLib/SkyT/Makefile	(revision 662)
+++ /trunk/SophyaLib/SkyT/Makefile	(revision 663)
@@ -1,46 +1,55 @@
-# MODULECXXREPNAME := Tests
-# MODULEDECCXXFLAGS := -msg_quiet
-include $(DPCBASEREP)/Include/MakefileUser.h
-# FITSIOLIB2 = -L/exp/planck/FitsIO/cfitsio/OSF1-cxx/
-
-ifdef NOSHLIB
-LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a $(LIB)libFitsIOServer.a $(LIB)libPI.a $(LIB)libPIext.a $(LIB)libtools.a 
-LIBS = -L$(LIB) -lSysTools -lNTools -lSamba  -lm
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libSkyT.a
+clean:
+	rm -f $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)easyTest.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skymixer.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)tgrsr.o $(OBJ)tgsky.o $(OBJ)trianglefilt.o
+	rm -f $(LIB)libSkyT.a
+$(LIB)libSkyT.a : $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-# librairie des instances de templates cxx
-LIBS := $(LIBS) -lertcxx
-endif
-else
-LIBF =  $(SLB)/libtools.so 
-LIBS = -L$(SLB) -ltools -lm 
-ifeq ($(MACHEROS),Linux)
-LIBS := $(LIBS) -ldl
-endif
-endif
-
-# $(OBJ)%.o:%.cc
-
-
-myobjs = $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)nupower.o $(OBJ)blackbody.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o  $(OBJ)trianglefilt.o $(OBJ)gaussfilt.o $(OBJ)convtools.o 
-
-myexe = $(EXE)easyTest $(EXE)skymixer $(EXE)tgsky $(EXE)tgrsr 
-
-all : $(myexe)
-
-
-# .PRECIOUS: $(EXE)% $(OBJ)%.o
-$(EXE)easyTest :  $(OBJ)easyTest.o $(myobjs)
-	$(LINK.cc)  $^ $(LIBS) -o $@
-
-$(EXE)skymixer :  $(OBJ)skymixer.o $(myobjs)
-	$(LINK.cc)  $^ $(LIBS) -o $@
-
-$(EXE)tgsky :  $(OBJ)tgsky.o 
-	$(LINK.cc)  $^ $(LIBS) -o $@
-
-$(EXE)tgrsr :  $(OBJ)tgrsr.o $(myobjs)
-	$(LINK.cc)  $^ $(LIBS) -o $@
-
-
-
-
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSkyT -lSamba -lNTools -lSysTools -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)blackbody.o: blackbody.cc $(INC)machdefs.h \
+ $(INC)pclassids.h blackbody.h radspec.h \
+ specresp.h convtools.h
+$(OBJ)convtools.o: convtools.cc convtools.h
+$(OBJ)gaussfilt.o: gaussfilt.cc $(INC)machdefs.h \
+ $(INC)pclassids.h gaussfilt.h specresp.h
+$(OBJ)nupower.o: nupower.cc $(INC)machdefs.h \
+ $(INC)pclassids.h nupower.h radspec.h \
+ specresp.h convtools.h
+$(OBJ)radspec.o: radspec.cc $(INC)machdefs.h \
+ $(INC)pclassids.h radspec.h specresp.h \
+ $(INC)integ.h \
+ $(INC)pexceptions.h
+$(OBJ)radspecvector.o: radspecvector.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h radspecvector.h radspec.h \
+ specresp.h $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h
+$(OBJ)specresp.o: specresp.cc specresp.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)integ.h \
+ $(INC)pexceptions.h
+$(OBJ)specrespvector.o: specrespvector.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h specrespvector.h \
+ specresp.h $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h
+$(OBJ)squarefilt.o: squarefilt.cc $(INC)machdefs.h \
+ $(INC)pclassids.h squarefilt.h specresp.h
+$(OBJ)trianglefilt.o: trianglefilt.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h trianglefilt.h specresp.h
Index: /trunk/SophyaLib/SkyT/objlist.list
===================================================================
--- /trunk/SophyaLib/SkyT/objlist.list	(revision 663)
+++ /trunk/SophyaLib/SkyT/objlist.list	(revision 663)
@@ -0,0 +1,10 @@
+blackbody.o
+convtools.o
+gaussfilt.o
+nupower.o
+radspec.o
+radspecvector.o
+specresp.o
+specrespvector.o
+squarefilt.o
+trianglefilt.o
